<?php

namespace com\fwdekker\deathnotifier\validation;


/**
 * Unit tests for {@see IsStringRule}.
 */
class IsStringRuleTest extends RuleTestTemplate
{
    public static function check_provider(): array
    {
        $type = InvalidTypeException::class;

        return [
            "exception if input is not set" => [new IsStringRule(), null, $type, "Required input 'key' not set."],
            "exception if input is not a string" => [new IsStringRule(), 47, $type, "Input 'key' should be string, but is integer."],
            "no exception if input is the empty string" => [new IsStringRule(), "", null, null],
            "no exception if input is a blank string" => [new IsStringRule(), "  ", null, null],
            "no exception if input is a string" => [new IsStringRule(), "not-empty", null, null],
        ];
    }
}
